Inventory Transfer
Requires access scope. Also: The user must have permission to view products.
Tracks the movement of objects between Location objects. A transfer includes origin and destination information, objects with quantities, and shipment details.
Transfers progress through multiple statuses. The transfer maintains objects of location details to preserve historical data even if locations change or are deleted later.
Anchor to FieldsFields
- Anchor to dateCreateddate•Date
Created Time The date and time the inventory transfer was created in UTC format.
- Anchor to destinationdestination•Location
Snapshot Snapshot of the destination location (name, address, when snapped) with an optional link to the live Location object. If the original location is deleted, the snapshot data will still be available but the location link will be nil.
- Anchor to eventsevents•Event
Connection! non-null The list of events associated with the inventory transfer.
- Anchor to hasTimelineCommenthas•Boolean!
Timeline Comment non-null Whether the merchant has added timeline comments to the inventory transfer.
- •ID!non-null
A globally-unique ID.
- Anchor to lineItemsline•Inventory
Items Transfer Line Item Connection! non-null The line items associated with the inventory transfer.
- Anchor to lineItemsCountline•Count
Items Count The number of line items associated with the inventory transfer. Limited to a maximum of 10000 by default.
- Anchor to metafieldmetafield•Metafield
A custom field, including its
namespaceandkey, that's associated with a Shopify resource for the purposes of adding and storing additional information.- Anchor to metafieldsmetafields•Metafield
Connection! non-null A list of custom fields that a merchant associates with a Shopify resource.
- Anchor to namename•String!non-null
The name of the inventory transfer.
- Anchor to notenote•String
Additional note attached to the inventory transfer.
- Anchor to originorigin•Location
Snapshot Snapshot of the origin location (name, address, when snapped) with an optional link to the live Location object. If the original location is deleted, the snapshot data will still be available but the location link will be nil.
- Anchor to receivedQuantityreceived•Int!
Quantity non-null The total quantity of items received in the transfer.
- Anchor to referenceNamereference•String
Name The reference name of the inventory transfer.
- Anchor to shipmentsshipments•Inventory
Shipment Connection! non-null The shipments associated with the inventory transfer.
- Anchor to statusstatus•Inventory
Transfer Status! non-null The current status of the transfer.
- •[String!]!non-null
A list of tags that have been added to the inventory transfer.
- Anchor to totalQuantitytotal•Int!
Quantity non-null The total quantity of items being transferred.
- Anchor to metafieldDefinitionsmetafield•Metafield
Definitions Definition Connection! non-nullDeprecated
Anchor to QueriesQueries
- •query
Returns an
by ID. Inventory transfers track the movement of inventory between locations, including origin and destination details,objects, quantities, andvalues.- •query
Returns a paginated list of
objects between locations. Transfers track the movement ofobjects betweenLocationobjects.Supports filtering transfers using query parameters and sorting by various criteria. Use the connection's edges to access transfer details including
objects, quantities, and shipment status.
Anchor to MutationsMutations
- •mutation
Cancels an inventory transfer.
- •mutation
Creates a draft inventory transfer to move inventory items between
Locationobjects in your store. The transfer tracks which items to move, their quantities, and the origin and destination locations.Use
to mark the transfer as ready to ship.CautionAs of version
2026-01, this mutation supports an optional idempotency key using the@idempotentdirective. As of version2026-04, the idempotency key is required and must be provided using the@idempotentdirective. For more information, see the idempotency documentation.- •mutation
Creates an inventory transfer in ready to ship.
CautionAs of 2026-01, this mutation supports an optional idempotency key using the
@idempotentdirective. As of 2026-04, the idempotency key is required and must be provided using the@idempotentdirective. For more information, see the idempotency documentation.- •mutation
This mutation allows duplicating an existing inventory transfer. The duplicated transfer will have the same line items and quantities as the original transfer, but will be in a draft state with no shipments.
CautionAs of 2026-01, this mutation supports an optional idempotency key using the
@idempotentdirective. As of 2026-04, the idempotency key is required and must be provided using the@idempotentdirective. For more information, see the idempotency documentation.- •mutation
Edits an inventory transfer.
- •mutation
Sets an inventory transfer to ready to ship.
- •mutation
This mutation allows removing the shippable quantities of line items on a Transfer. It removes all quantities of the item from the transfer that are not associated with shipments.
- •mutation
This mutation allows for the setting of line items on a Transfer. Will replace the items already set, if any.
CautionAs of 2026-01, this mutation supports an optional idempotency key using the
@idempotentdirective. As of 2026-04, the idempotency key is required and must be provided using the@idempotentdirective. For more information, see the idempotency documentation.